/* フロアトップ */
h2.section_title {
    font-family: var(--font-sawarabi);
    font-weight: 400;
}

.cafe .news h2.section_title {
    white-space: normal;
}

.cafe .top_floor_description .top_floor_description_text_block {
    margin-top: 56px;
    display: grid;
    grid-template-columns: minmax(0, 400px) 1fr;
    justify-content: space-between;
    gap: 40px;
}

.top_floor_description_text_content {
    max-width: 840px;
    width: 100%;
    margin-left: auto;
    flex: 1;
    min-width: 710px;
}

.cafe .top_floor_description .top_floor_description_text_block_image {
    text-align: center;
}

.cafe .top_floor_description .top_floor_description_text_block_image img {
    max-width: 160px;
    width: 100%;
    min-width: 130px;
}

.cafe .top_floor_description .top_floor_description_text {
    margin-left: 0;
    flex: 0 0 624px;
    margin-top: 0;
    position: relative;
}

.cafe .floor_info_data.holiday {
    font-size: 20px;
    font-weight: 500;
}

/* フロアトップ */

/* 画像スライダー */
.cafe .top_image_slider_container {
    margin-top: 96px;
}

/* 画像スライダー */

/* お知らせ */

.cafe .entry_block {
    display: grid;
    grid-template-columns: minmax(0, 400px) 1fr;
    justify-content: space-between;
    gap: 40px;
}

.cafe .entry_block .entry_link_block {
    max-width: 840px;
    width: 100%;
    margin-left: auto;
    flex: 1;
    min-width: 710px;
}


.cafe .entry_block .section_title {
    grid-column: 1/2;
    grid-row: 1/2;
}

.cafe .entry_block .entry_link_block {
    grid-column: 2/3;
    grid-row: 1/3;
}

.cafe .entry_block .section_title_image {
    grid-column: 1/2;
    grid-row: 2/3;
}

.cafe .entry_block .section_title_image {
    width: 244px;
    box-sizing: border-box;
    margin-top: 48px;
    margin-left: 100px;
    margin-bottom: 64px;
}

.cafe .entry_block .section_title_image img {
    width: 100%;
    display: block;
}

/* お知らせ */

.cafe .top_title_img {
    display: block;
    width: 427px;
}

.cafe .last_order {
    font-weight: 500;
    font-size: 20px;
    padding-left: 8px;
}

.cafe .top_text_link a {
    padding-left: 20px;
    transition: transform 0.5s ease, opacity 0.5s ease;
    font-family: var(--font-sawarabi);
}

.cafe .top_text_link a:hover {
    opacity: 0.7;
}

.cafe .top_text_link a:hover::before {
    opacity: 0.7;
    transform: translateY(-50%) scale(1.3);
}

.cafe .top_text_link a::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 8px;
    height: 8px;
    display: block;
    background-color: var(--color-text-entry);
    border-radius: 50%;
    transition: transform 0.5s ease, opacity 0.5s ease;
}

/* take_out */
.top_take_out {
    background-color: rgba(255, 255, 255, 0.5);
    padding-top: 120px;
    padding-bottom: 104px;
    margin-top: 80px;
}

.top_container_no_padding.top_take_out {
    max-width: 100%;
}

.top_take_out_block {
    max-width: 960px;
    width: 100%;
    margin: 0 auto;
    padding: 0 60px;
    box-sizing: border-box;
}

.top_take_out_block h2.section_title {
    text-align: center;
}

.top_take_out_block img {
    margin-top: 64px;
    width: 100%;
}

.top_take_out_block .top_image_entry_text {
    margin-top: 56px;
    display: flex;
    justify-content: center;
    font-weight: 400;
}

/* take_out */

/* custom_top_entry_link_2 */
.cafe_image {
    position: relative;
    padding-top: 136px;
}

.cafe_image .cafe_image_block {
    display: grid;
    grid-template-columns: min(55%, 680px) 1fr;
    column-gap: 120px;
    row-gap: 180px;
}

.cafe_image .cafe_image_block img {
    width: 100%;
}

.cafe_image .cafe_image_block div:nth-child(1).cafe_image_content {
    grid-row: 1 / 2;
}

.cafe_image .cafe_image_block div:nth-child(1).cafe_image_content .shop_image img {
    max-width: 680px;
}

.cafe_image .cafe_image_block div:nth-child(2).cafe_image_content {
    grid-row: 1 / 3;
    display: flex;
    flex-direction: column;
    justify-content: space-between;

}

.cafe_image .cafe_image_block div:nth-child(2).cafe_image_content .shop_image img {
    max-width: 296px;
    display: block;
    margin-left: auto;
}

.cafe_image .cafe_image_block div:nth-child(2).cafe_image_content .decoration_image img {
    max-width: 280px;
    width: 100%;
}

.cafe_image .cafe_image_block div:nth-child(2).cafe_image_content .artist {
    max-width: 296px;
    width: 100%;
    margin-left: auto;
    color: #888373;
}

.cafe_image .cafe_image_block div:nth-child(3).cafe_image_content {
    grid-row: 2 / 3;
    display: grid;
    grid-template-columns: 27% 57.8%;
    gap: 40px;
    justify-content: space-between;
    align-items: end;
}

.cafe_image .cafe_image_block div:nth-child(3).cafe_image_content .decoration_image {
    display: inline-block;
    position: relative;
}

.cafe_image .cafe_image_block div:nth-child(3).cafe_image_content .decoration_image img {
    max-width: 180px;
    width: 100%;
    position: absolute;
    top: -130px;
    left: 0;
}

.cafe_image .cafe_image_block div:nth-child(3).cafe_image_content .shop_image {
    display: inline-block;
}

.cafe_image .cafe_image_block div:nth-child(3).cafe_image_content .shop_image img {
    max-width: 392px;
    display: block;
    margin-left: auto;
}

/* custom_top_entry_link_2 */

/* カフェメニュー */
.top_container.cafe_menu {
    margin-top: 144px;
    display: grid;
    grid-template-columns: minmax(0, 400px) 1fr;
    justify-content: space-between;
    gap: 40px;
}

.cafe_menu_attention {
    display: block;
    font-size: 14px;
    font-weight: 400;
}

.cafe_menu_block {
    max-width: 840px;
    width: 100%;
    margin-left: auto;
    flex: 1;
    min-width: 710px;
}

.cafe_menu_title {
    min-width: 200px;
}

.cafe_menu_block>div:not(:first-child) {
    margin-top: 48px;
}

.cafe_menu_kinds_tile_block {
    display: flex;
    gap: 28px;
    align-items: center;
}

:not(.set_drinks)>.cafe_menu_kinds_tile_block {
    padding-bottom: 10px;
    border-bottom: 1px solid #CCC6B0;
}

.set_drinks {
    background-color: rgba(255, 255, 255, 0.5);
    padding: 40px;
}

.set_drinks .cafe_menu_kinds_tile_block {}

.cafe_menu_kinds_tile {
    font-size: 24px;
    font-weight: 500;
    font-family: var(--font-josefin);
}

.cafe_menu_kinds_description {
    display: block;
    font-size: 14px;
    font-weight: 400;
}

:not(.set_drinks) .cafe_menu_content {
    margin-top: 16px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: space-between;
    row-gap: 32px;
    column-gap: 16px;
}

.set_drinks .cafe_menu_content {
    margin-top: 16px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    row-gap: 8px;
    column-gap: 16px;
}

:not(.set_drinks) .cafe_menu_name {
    font-size: 18px;
    font-weight: 500;
    font-family: var(--font-notosan);
}

.set_drinks .cafe_menu_name {
    font-size: 16px;
    font-weight: 500;
    font-family: var(--font-notosan);
    white-space: nowrap;
}

.cafe_menu_description {
    font-size: 13px;
    font-weight: 400;
}

.cafe_menu_price {
    font-size: 16px;
    font-weight: 400;
}

.cafe_menu_download {
    text-align: right;
    margin-top: 40px;
}

.cafe_menu_download a {
    display: inline-block;
    margin-left: auto;
    border: 1px solid var(--color-text-entry);
    height: 64px;
    line-height: 64px;
    text-align: center;
    width: 304px;
}

.cafe_menu_download span {
    font-size: 16px;
    font-weight: 400;
    position: relative;
    display: inline-block;
}

.cafe_menu_download span::before {
    content: "";
    position: absolute;
    top: 50%;
    left: -40px;
    transform: translateY(-50%);
    width: 16px;
    height: 22px;
    background-image: url(../images/top/cafe_top_pdf.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: block;
}

/* カフェメニュー */

@media (max-width: 1280px) {
    .cafe .top_floor_description .top_floor_description_text_block {
        grid-template-columns: minmax(0, 290px) 1fr;
        gap: 40px;
    }

    .top_floor_description_text_content {
        max-width: 840px;
        width: 100%;
        margin-left: auto;
        flex: 1;
        min-width: 710px;
    }

    .cafe .entry_block {
        grid-template-columns: minmax(0, 290px) 1fr;
        gap: 40px;
    }

    .cafe .entry_block .entry_link_block {
        max-width: 840px;
        width: 100%;
        margin-left: auto;
        flex: 1;
        min-width: 710px;
    }

    .top_container.cafe_menu {
        grid-template-columns: minmax(0, 290px) 1fr;
        gap: 40px;
    }

    .cafe .entry_block .section_title_image {
        margin-top: 48px;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 64px;
    }

    .cafe_menu_block {
        max-width: 840px;
        width: 100%;
        margin-left: auto;
        flex: 1;
        min-width: 710px;
    }

}

@media (max-width: 1099px) {

    /* フロアトップ */
    .cafe .top_title_img {
        width: 300px;
    }

    .cafe .floor_details_info {
        padding-left: 32px;
    }

    .cafe .floor_info_time {
        font-size: 24px;
    }

    .cafe .top_floor_description .top_floor_description_text_block {
        gap: 40px;
        margin-left: 0;
    }

    .cafe .top_floor_description .top_floor_description_text_block_image img {
        max-width: 130px;
    }

    .cafe .top_floor_description .top_floor_description_text {
        flex: auto;
    }

    .cafe .top_floor_description .top_floor_description_text_block {
        grid-template-columns: minmax(200px, 200px) 1fr;
        gap: 0px;
    }

    .top_floor_description_text_content {
        max-width: 100%;
        min-width: auto;
    }

    /* フロアトップ */
    .top_container.cafe_menu {
        display: block;
    }

    .cafe_menu_title {
        margin-bottom: 32px;
    }

    /* お知らせ */
    .cafe .entry_block {
        display: block;
    }

    .cafe .entry_block .entry_link_block {
        min-width: 0;
        max-width: 100%;
    }

    /* お知らせ */

    /* カフェメニュー */
    .cafe_menu_block {
        min-width: 0;
        max-width: 100%;
    }

    /* カフェメニュー */
}

@media (max-width: 768px) {
    .cafe .top_title_img {
        max-width: 243px;
        width: 100%;
        margin-bottom: 10px;
    }

    .cafe .floor_details_info>div:nth-child(1) {
        display: flex;
        align-items: baseline;
    }

    .cafe .last_order {
        display: block;
    }

    .cafe .floor_info_time {
        line-height: 1;
    }

    /* フロア */
    .cafe .top_floor_description .top_floor_description_text_block {
        display: flex;
        gap: 40px;
        margin-top: 24px;
        margin-left: 0;
        flex-direction: column;
    }

    .cafe .top_floor_description .top_floor_description_text_block_image {
        order: 2;
    }

    .cafe .floor_details_info {
        padding-left: 0;
    }



    /* フロア */

    .cafe .top_image_slider_container {
        margin-top: 40px;
    }

    /* お知らせ */
    .cafe .entry_block {
        gap: 32px;
        display: flex;
        flex-direction: column;
    }

    .cafe .entry_block .section_title {
        order: 1;
    }

    .cafe .entry_block .entry_link_block {
        order: 2;
    }

    .cafe .entry_block .section_title_image {
        order: 3;
    }

    .cafe .entry_block .section_title_image {
        max-width: 100%;
        width: 100%;
        text-align: center;
        margin: 0;
    }

    .cafe .entry_block .section_title_image img {
        max-width: 200px;
        display: inline-block;
    }

    /* お知らせ */

    /* カフェメニュー */
    .top_container.cafe_menu {
        margin-top: 24px;
    }

    .cafe_menu_block {
        margin-left: auto;
        min-width: 0;
    }

    .cafe_menu_block>div:not(:first-child) {
        margin-top: 48px;
    }

    .cafe_menu_kinds_tile_block {
        display: block;
    }

    :not(.set_drinks)>.cafe_menu_kinds_tile_block {
        padding-bottom: 8px;
    }

    .set_drinks {
        padding: 40px 24px;
    }

    .set_drinks .cafe_menu_content {
        margin-top: 16px;
        display: block;
    }

    .set_drinks .cafe_menu_content>h5:not(:nth-child(1)) {
        margin-top: 8px;
    }

    .cafe_menu_kinds_tile {
        font-size: 20px;
    }

    .cafe_menu_kinds_description {
        font-size: 13px;
    }

    :not(.set_drinks) .cafe_menu_content {
        margin-top: 16px;
        display: block;
    }

    :not(.set_drinks) .cafe_menu_content>div:not(:nth-child(1)) {
        margin-top: 16px;
    }

    :not(.set_drinks) .cafe_menu_name {
        font-size: 16px;
    }

    .set_drinks .cafe_menu_name {
        font-size: 14px;
    }

    .cafe_menu_description {
        font-size: 13px;
    }

    .cafe_menu_price {
        font-size: 14px;
    }

    .cafe_menu_download {
        text-align: right;
        margin-top: 40px;
    }

    .cafe_menu_download a {
        display: block;
        width: 100%;
    }

    /* カフェメニュー */

    /* take_out */
    .top_take_out {
        margin-top: 80px;
        padding: 80px 22px;
    }

    .top_container_no_padding.top_take_out {
        max-width: 100%;
    }

    .top_take_out_block {
        max-width: 840px;
        width: 100%;
        margin: 0 auto;
        padding: 0;
    }

    .top_take_out_block img {
        margin-top: 24px;
    }

    .top_take_out_block .top_image_entry_text {
        margin-top: 16px;
    }

    /* take_out */

    /* custom_top_entry_link_2 */

    .top_container.cafe_image {
        padding-top: 180px;
        padding-bottom: 60px;
        overflow: hidden;
    }

    .cafe_image .cafe_image_block {
        display: block;
    }

    .cafe_image .cafe_image_block img {
        width: 100%;
    }

    .cafe_image .cafe_image_block div:nth-child(1).cafe_image_content {
        padding-right: 22px;
    }

    .cafe_image .cafe_image_block div:nth-child(1).cafe_image_content .shop_image img {
        max-width: 680px;
    }

    .cafe_image .cafe_image_block div:nth-child(2).cafe_image_content {
        display: block;
        margin-top: 40px;
    }

    .cafe_image .cafe_image_block div:nth-child(2).cafe_image_content .shop_image img {
        max-width: 120px;
    }

    .cafe_image .cafe_image_block div:nth-child(2).cafe_image_content .decoration_image {
        transform: none !important;
    }

    .cafe_image .cafe_image_block div:nth-child(2).cafe_image_content .decoration_image img {
        max-width: 220px;
        position: absolute;
        right: 22px;
        top: 48px;
    }

    .cafe_image .cafe_image_block div:nth-child(2).cafe_image_content .artist {
        max-width: 100%;
        width: 100%;
        margin-left: auto;
        position: absolute;
        bottom: 0;
        left: 22px;
    }

    .cafe_image .cafe_image_block div:nth-child(3).cafe_image_content {
        display: block;
        margin-top: 40px;
        position: relative;
    }

    .cafe_image .cafe_image_block div:nth-child(3).cafe_image_content .decoration_image {
        display: block;
        position: absolute;
        top: -200px;
        left: -22px;
        width: 120px;
    }

    .cafe_image .cafe_image_block div:nth-child(3).cafe_image_content .decoration_image img {
        position: static;
    }

    .cafe_image .cafe_image_block div:nth-child(3).cafe_image_content .shop_image {
        display: inline-block;
    }

    .cafe_image .cafe_image_block div:nth-child(3).cafe_image_content .shop_image img {
        max-width: 200px;
        display: block;
        margin-left: auto;
    }

    /* custom_top_entry_link_2 */
}